@media (max-width: 1200px) {
    .container {
        padding-left: 10px;
        padding-right: 10px;
    }
    .layout_one .optimisticbloglite-banner-wrapper, 
    .layout_one .breadcrumb-section {
        margin-top: 0;
    }

}

@media screen and (max-width: 1024px) {

    :root {
        --sidebar-width: 300px;
    }

    /** Header **/
    .nav-classic .header-nav-toggle {
        display: block;
    }
    .site-branding {
        max-width: 100%;
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin-right: 0;
    }
    /** Header Layout **/
    .nav-classic .box-header-nav{
        display: none;
    }
    .d-grid-column-3,
    .d-grid-column-4,
    .d-grid-column-5,
    .d-grid-column-6 {
        grid-template-columns: repeat(2, 1fr);
    }
    /** Blog Item (Index, Archive,Search) */
    .sidebar-right .style1.d-grid-column-3,
    .sidebar-right .style1.d-grid-column-4,
    .sidebar-left .style1.d-grid-column-3,
    .sidebar-left .style1.d-grid-column-4,
    .sidebar-right .style3.d-grid-column-3,
    .sidebar-right .style3.d-grid-column-4,
    .sidebar-left .style3.d-grid-column-3,
    .sidebar-left .style3.d-grid-column-4{
        grid-template-columns: repeat(2, 1fr);
    }
    .sidebar-right .style2.d-grid-column-2,
    .sidebar-right .style2.d-grid-column-3,
    .sidebar-right .style2.d-grid-column-4,
    .sidebar-left .style2.d-grid-column-2,
    .sidebar-left .style2.d-grid-column-3,
    .sidebar-left .style2.d-grid-column-4{
        grid-template-columns: repeat(1, 1fr);
    }
    .sidebar-no .style2.d-grid-column-2,
    .sidebar-no .style2.d-grid-column-3,
    .sidebar-no .style2.d-grid-column-4{
        grid-template-columns: repeat(2, 1fr);
    }
    .ikthemes-article-content{
        padding: 10px;
    }

    /** Blog **/
    .style2.blog-section .d-grid-column-3,
    .style2.blog-section .d-grid-column-4{
        grid-template-columns: repeat(2, 1fr);
    }

    .ikthemes-slider-content{
        align-items: center;
    }
    .ikthemes-trending-wrap {
        flex-direction: column;
    }
}

@media screen and (max-width: 768px) {

    /** Blog (index, category,tag) **/
    .d-blog-grid-column-2,
    .d-grid.d-blog-grid-column-2.sidebar-left,
    .sidebar-no .style2.d-grid-column-2,
    .sidebar-no .style2.d-grid-column-3,
    .sidebar-no .style2.d-grid-column-4{
        grid-template-columns: repeat(1, 1fr);
    }
    /** Blog **/
    .style2.blog-section .d-grid-column-2,
    .style2.blog-section .d-grid-column-3,
    .style2.blog-section .d-grid-column-4{
        grid-template-columns: repeat(1, 1fr);
    }
    /** Footer Area  **/
    .footer-section .d-grid-column-2,
    .footer-section .d-grid-column-3,
    .footer-section .d-grid-column-4{
        grid-template-columns: 48% 48%;
    }

    .widget-area {
        position: relative;
        top: 0;
        align-self: flex-start;
    }

    .ikthemes-slider-content{
       position: relative;
    }

}

@media screen and (max-width: 480px) {

    .nav-buttons {
        display: none;
    }

    .desktop-text-left, 
    .text-left,
    .desktop-text-right, 
    .text-right {
        text-align: center;
    }
    ul, ol {
        text-align: left;
    }
    .section {
        padding: 20px 0;
    }
    .d-grid-column-1,
    .d-grid-column-2,
    .d-grid-column-3,
    .d-grid-column-4,
    .d-grid-column-5,
    .d-grid-column-6 {
        grid-template-columns: repeat(1, 1fr);
    }
    /* Breadcrums */
    .breadcrumb ul {
        text-align: center;
    }
    /** Blog (index, category,tag) **/
    .style2 .ikthemes-article-item {
        flex-direction: column;
    }
    .style2 .ikthemes-article-item .blog-post-thumbnail {
        max-width: 100%;
        min-width: 100%;
    }
    /** Blog Single Post */
    .prevNextArticle {
        flex-direction: column;
        gap: 2rem;
    }
    .prevNextArticle.d-flex .prevnext-item {
        width: 100%;
        text-align: center;
    }
    .prevnext-item img{
        display: none;
    }
    .optimisticbloglite-author-box {
        display: none;
    }
    #commentform .form-submit{
        text-align: center;
    }
    /** Section Title & Sub Title **/
    /* .section-title-wrapper .super-title{
        font-size: 18px;
    }
    .section-title-wrapper .section-title {
        line-height: 1.4;
    }
    .section-title-wrapper.style1 .super-title:before, 
    .section-title-wrapper.style1 .super-title:after{
        display: none;
    }
    .section-title-wrapper.style2.text-left .section-title::before {
        right: 0;
        background-color: #ffffff;
    }
    .section-title-wrapper.style2.text-right .section-title::before {
        left: 0;
        background-color: #ffffff;
    }
    .section-title-wrapper.style2.text-left .section-title::after {
        right: 0;
        background: radial-gradient(circle, rgba(247, 247, 247, 0) 0%, var(--theme-color) 10%, rgba(249, 249, 249, 0) 100%);
    }
    .section-title-wrapper.style2.text-right .section-title::after {
        left: 0;
        background: radial-gradient(circle, rgba(247, 247, 247, 0) 0%, var(--theme-color) 10%, rgba(249, 249, 249, 0) 100%);
    } */
    /** Footer Area  **/
    .footer-section .d-grid-column-2,
    .footer-section .d-grid-column-3,
    .footer-section .d-grid-column-4{
        grid-template-columns: repeat(1, 1fr);
    }
    
}

@media screen and (max-width: 380px) {

    /* Header Area */
    .entry-meta.info {
        justify-content: center;
    }
    /** Section Title & Sub Title **/
    .section-title-wrapper .super-title{
        line-height: 1.4;
    }
    .section-title-wrapper.style2 .super-title{
        font-size: 12px;
    }

}